Create a new brand
Creates a new brand with the provided name, slug, logo, cover image, and description. Validates that the brand name and slug are unique within the app.
POST
/api/v1/{team_slug}/{app_slug}/brandsAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Request body
requiredapplication/jsondata on brand
addressinternal_pkg_webserver_v1.BrandAddressRequestShow propertiesHide properties
citystringco_addressstringcountrystringhouse_numberstringpostal_codestringstate_provincestringstreet_addressstringcover_idstringdescriptionstringemailstringlogo_idstringnamestringrequiredslugstringrequiredResponses
200
Brand created successfully
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.BrandrequiredShow propertiesHide properties
addressgithub_com_enadhq_nabbit_internal_pkg_webserver_models.BrandAddressbrand address
Show propertiesHide properties
citystringco_addressstringcountrystringhouse_numberstringpostal_codestringstate_provincestringstreet_addressstringcovergithub_com_enadhq_nabbit_internal_pkg_webserver_models.BrandImage | nullShow propertiesHide properties
Any of:
github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandImage
idstringurlstringnull
nullcreated_atstringdescriptionstringbrand description
emailstringbrand email
idstringunique id of brand
logogithub_com_enadhq_nabbit_internal_pkg_webserver_models.BrandImage | nullShow propertiesHide properties
Any of:
github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandImage
idstringurlstringnull
nullnamestringname of brand
seriesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.BrandSeries[] | nullseries connected to the brand
Show propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandSeriesidstringunique id of series
namestringname of series
slugstringname of series
slugstringslug of brand
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.BrandTranslationsShow propertiesHide properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Translationidstringlocalestringvaluestringupdated_atstring | nulldetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired404
Not found
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired